Bug 1945345 (CVE-2021-29646) - CVE-2021-29646 kernel: improper input validation in tipc_nl_retrieve_key function in net/tipc/node.c
Summary: CVE-2021-29646 kernel: improper input validation in tipc_nl_retrieve_key func...
Keywords:
Status: NEW
Alias: CVE-2021-29646
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1950093 1951006 1955086 1945346 1951005
Blocks: 1945347
TreeView+ depends on / blocked
 
Reported: 2021-03-31 17:41 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-04-29 12:21 UTC (History)
44 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw buffer overflow in the Linux kernel TIPC protocol functionality was found in the way user uses protocol with encryption enabled. A local user could use this flaw to crash the system.
Clone Of:
Environment:
Last Closed: 2021-04-08 11:35:09 UTC


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2021-03-31 17:41:01 UTC
An issue was discovered in the Linux kernel before 5.11.11. tipc_nl_retrieve_key in net/tipc/node.c does not properly validate certain data sizes.

Reference and upstream patch:
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=0217ed2848e8538bcf9172d97ed2eeb4a26041bb

Comment 1 Guilherme de Almeida Suckevicz 2021-03-31 17:41:53 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1945346]

Comment 2 Fedora Update System 2021-04-02 00:16:57 UTC
FEDORA-2021-41fb54ae9f has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 3 Fedora Update System 2021-04-02 01:14:11 UTC
FEDORA-2021-6b0f287b8b has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 Fedora Update System 2021-04-02 01:21:15 UTC
FEDORA-2021-2306e89112 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Product Security DevOps Team 2021-04-08 11:35:09 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-29646


Note You need to log in before you can comment on or make changes to this bug.